#
# spec file for package yast2-perl-bindings (Version 2.14.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel boost boost-devel bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc41 libicu libidn libidn-devel libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libusb libvolume_id libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp libzypp-devel linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm rpm-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim yast2-core yast2-core-devel yast2-devtools zlib zlib-devel

Name:           yast2-perl-bindings
Version:        2.14.0
Release:        10
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-perl-bindings-2.14.0.tar.bz2
prefix:		/usr
BuildRequires:  blocxx-devel curl-devel gcc-c++ libxcrypt-devel libzypp-devel rpm-devel yast2-core-devel yast2-devtools
# libzypp-devel is missing .la requires
BuildRequires:  boost-devel dbus-1-devel hal-devel
# YCPValue::valuetype_str()
Requires:       yast2-core >= 2.13.28
Requires:       perl
# for YaPI.pm
Requires:       perl(Locale::gettext)
Summary:        YaST2 - Perl Bindings

%description
This adds an embedded Perl interpreter to YaST2 as a plug-in (in other
words it will be loaded only if required). This is a very efficient way
of calling Perl from within YaST2 YCP scripts.



Authors:
--------
    Stefan Hundhammer <sh@suse.de>
    Martin Vidner <mvidner@suse.cz>

%debug_package
%prep
%setup -n yast2-perl-bindings-2.14.0

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
rm $RPM_BUILD_ROOT/%{_libdir}/YaST2/plugin/libpy2lang_perl.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%{_libdir}/YaST2/plugin/libpy2lang_perl.so.*
%{_libdir}/YaST2/plugin/libpy2lang_perl.so
# libYCP goes elsewhere
%dir %{perl_vendorarch}/YaST
%{perl_vendorarch}/YaST/YCP.pm
%{perl_vendorarch}/auto/YaST
%dir /usr/share/YaST2/modules
/usr/share/YaST2/modules/YaPI.pm
/usr/share/YaST2/data/devtools/pluglib-bindings
/usr/share/YaST2/data/devtools/admin/aminclude/pluglib-bindings.ami
%doc %{prefix}/share/doc/packages/yast2-perl-bindings

%changelog
* Mon Nov 13 2006 - jsrain@suse.cz
- 2.14.0
* Mon Oct 02 2006 - mvidner@suse.cz
- Fixed LDFLAGS for a fix in automake-1.9b.
- 2.13.11
* Thu Aug 31 2006 - mvidner@suse.cz
- Fixed SWIG typemaps to really work with 1.3.27.
- 2.13.10
* Wed Aug 09 2006 - mvidner@suse.cz
- Using YCPValue::valuetype_str() for better error messages.
* Wed Aug 09 2006 - mvidner@suse.cz
- Use the Import class when calling a YCP function
  so that the log is not flooded with "import (Foo)" (#197845).
- 2.13.9
* Mon Aug 07 2006 - mvidner@suse.cz
- Fixed the SWIG fix not to end a comment prematurely.
- 2.13.8
* Fri Aug 04 2006 - mvidner@suse.cz
- Removed a search path that is added elsewhere already and here just
  breaks compilation is some cases (#197099).
- 2.13.7
* Wed Aug 02 2006 - mvidner@suse.cz
- Fixed SWIG typemaps for swig-1.3.29, thanks mmarek.
- 2.13.6
* Tue Aug 01 2006 - mvidner@suse.cz
- Documented how YaST::YCP::Import differs from YCP import.
* Tue Jul 18 2006 - mvidner@suse.cz
- Documentation updates: doc/typeinfo replaced with doc/perl-bindings,
  doc/useperl.ycp, doc/modules/*.pm
* Fri Jun 09 2006 - mvidner@suse.cz
- Reenabled testsuite, needs libzypp r3558 (#182672).
- 2.13.5
* Thu Jun 08 2006 - ro@suse.de
- disable testsuite for the moment, hangs forever
* Wed Apr 26 2006 - ro@suse.de
- hack to fix testsuite (change in yast2-core)
* Thu Feb 02 2006 - mvidner@suse.cz
- Replaced yast2-packagemanager by libzypp.
- Require perl, do not package .la file (lint and build warnings).
- 2.13.4
* Wed Feb 01 2006 - mvidner@suse.cz
- Fixed passing large integers between YCP and Perl (converting
  to/from strings if necessary), up to signed long long (#127896).
- Use BuildRequires.
- 2.13.3
* Wed Jan 25 2006 - mvidner@suse.cz
- Return 1 as true value. 8 causes perl warnings if there are too
  many of them (#144296).
- pluglib-bindings.ami: clean the _wrap.* files too.
- 2.13.2
* Mon Dec 19 2005 - mvidner@suse.cz
- Do not link libraries that were merged with liby2 in yast2-core.
- 2.13.1
* Tue Oct 11 2005 - mvidner@suse.cz
- Functions without TYPEINFO are no longer made available as
  any Foo(...), because it is useless and only complicates error
  cases.
- 2.13.0
* Wed Jul 20 2005 - arvin@suse.de
- added libxml2 and libxml2-devel to neededforbuild
* Fri Jul 15 2005 - mlazar@suse.cz
- fixed "problem with corrupted memory when using C++/ycp interface..."
- 2.12.7
* Mon Jul 11 2005 - visnov@suse.cz
- Fix packages needed for build
- 2.12.6
* Fri Jul 01 2005 - mlazar@suse.cz
- quick workaround for "problems with corrupted memory when using
  C++/ycp interface of libstorage", see yast2-hacker
* Wed Jun 29 2005 - mlazar@suse.cz
- pluglib-bindings: added --strip option to filter.pl
- YPerl.cc: better debug messages for perl_class_destructor
* Tue Jun 14 2005 - mlazar@suse.cz
- Fixed enums in TYPEINFO (again and better).
* Tue Jun 14 2005 - mlazar@suse.cz
- Fixed enums in TYPEINFO.
* Mon Jun 06 2005 - mvidner@suse.cz
- Fixed build after introducing remote namespaces in yast2-core.
- 2.12.5
* Fri Jun 03 2005 - mlazar@suse.cz
- pluglib-bindings: improved constructors in TYPEINFO
* Wed Jun 01 2005 - mlazar@suse.cz
- removed limal_perlrun.swg (not needed sinc YCP support external data types)
* Wed Jun 01 2005 - mlazar@suse.cz
- added support for perl objects (via YCPExternal type)
* Fri May 27 2005 - mvidner@suse.cz
- In TYPEINFO, represent enums as integers, not any.
- Do not grow the generated pm's infinitely, remove them before
  apending to them.
- Added PLUGLIB_DEPEND (arvin)
* Wed May 25 2005 - mlazar@suse.cz
- added support for reference to enum types
* Fri May 20 2005 - mvidner@suse.cz
- Enhanced for sharing a single interpreter with pluglibs written in
  perl (perl2cpp).
- Fixed double deletion of the interpreter when invoked from perl.
* Wed May 18 2005 - mvidner@suse.cz
- pluglib-bindings: Compile wrapper using libtool so that
  x86_64 gets -fPIC.
- 2.12.4
* Mon May 16 2005 - mlazar@suse.cz
- pluglib-bindings: support for enum in YCP
* Mon May 16 2005 - mlazar@suse.cz
- pluglib-bindigs: support for class constructor
* Tue May 10 2005 - arvin@suse.de
- honour DESTDIR in pluglib-bindings.ami
- 2.12.3
* Tue May 10 2005 - arvin@suse.de
- use CXX instead of CXXCOMPILE in pluglib-bindings.ami
- 2.12.2
* Fri May 06 2005 - mlazar@suse.cz
- pluglib-bindings: support for list of hash and hash of list
* Thu May 05 2005 - mlazar@suse.cz
- pluglib-bindings: support for packet data as input argument to
  functions expected reference/pointer
- pluglib-bindings: typemap for pointer/reference to str:string output
* Wed May 04 2005 - mvidner@suse.cz
- Build fixes
- 2.12.1
* Mon May 02 2005 - mlazar@suse.cz
- restructured pluglib-bindings/swig
- added support for lists and hashes of "black box" objects
* Thu Apr 28 2005 - mvidner@suse.cz
- Added a generic makefile (automake include)
  for compiling and installing pluglibs for yast
* Tue Apr 26 2005 - mlazar@suse.cz
- support for one level hashes/maps in pluglib-bindings
* Tue Apr 26 2005 - mlazar@suse.cz
- support for two level lists in pluglib-bindings
* Mon Apr 25 2005 - mvidner@suse.cz
- Imported pluglib-bindings-0.7
* Wed Apr 20 2005 - mlazar@suse.cz
- Added support for reference.
- 2.12.0
* Mon Feb 14 2005 - mvidner@suse.cz
- Do not redirect stderr to y2log (#42155, #37652).
- 2.11.3
* Thu Jan 06 2005 - mvidner@suse.cz
- Added $TYPEINFO{ALL_METHODS} (true by default) so that
  YCP can call plain Perl subs, not only methods.
- 2.11.2
* Fri Nov 05 2004 - visnov@suse.cz
- Set exported symbol entries global (#47078)
- 2.11.1
* Fri Oct 29 2004 - mvidner@suse.cz
- Added pkgconfig support.
- 2.11.0
* Thu Aug 19 2004 - mvidner@suse.cz
- Make YaPI.pm using configure to substitute the prefix in 'use lib'.
- 2.10.4
* Thu Aug 12 2004 - mvidner@suse.cz
- Broke neededforbuild cycle by substituting
  for yast2-devel-packages (msvec).
- 2.10.3
* Tue Aug 03 2004 - visnov@suse.cz
- return correct type for the next wanted parameter in function calls
- 2.10.2
* Tue Aug 03 2004 - visnov@suse.cz
- Adapted for the new abstract function call interface
- 2.10.1
* Fri May 07 2004 - mvidner@suse.cz
- Made _ a *working* alias for __ (#39954).
- 2.9.34
* Fri May 07 2004 - mvidner@suse.cz
- YaST::YCP: Use the common log file so that there's context
  for Perl errors (#39959)
- YaPI::_ deprecated in favor of YaPI::__ (#39954)
- more documentation for YaPI.pm
- 2.9.33
* Mon May 03 2004 - mvidner@suse.cz
- logging: fixed caller info, enabled multiple arguments (#39768)
- 2.9.32
* Fri Apr 30 2004 - mvidner@suse.cz
- rewrote PrependModulePath to use exactly what YCPPathSearch uses
  (#39512)
- 2.9.31
* Thu Apr 29 2004 - mvidner@suse.cz
- if we created WFM, do also the cleanup (#39519)
- 2.9.30
* Thu Apr 29 2004 - mvidner@suse.cz
- YaPI->SetError: write description (if any) to the log
- 2.9.29
* Tue Apr 20 2004 - mvidner@suse.cz
- if there is no UI, use ncurses (#39192)
- 2.9.28
* Mon Apr 19 2004 - mvidner@suse.cz
- adapted testsuite for fix in yast2-core-2.9.80
- 2.9.27
* Tue Apr 13 2004 - mvidner@suse.cz
- check that a single package does not use inconsistent textdomains
* Thu Apr 08 2004 - mvidner@suse.cz
- YaPI.pm: Remember the text domain
  and use dgettext instead of gettext (#38613).
- 2.9.26
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.25
* Wed Mar 31 2004 - mvidner@suse.cz
- redirect stderr to prevent errors from garbling ncurses screen (#37652)
- docs: fixed :: to ->
- 2.9.24
* Mon Mar 29 2004 - mvidner@suse.cz
- require perl(Locale::gettext) now that YaPI.pm uses it
- 2.9.23
* Thu Mar 25 2004 - mvidner@suse.cz
- added i18n functions to YaPI.pm (mcalmer)
- 2.9.22
* Thu Mar 25 2004 - mvidner@suse.cz
- fixed passing nested terms
- 2.9.21
* Mon Mar 22 2004 - mvidner@suse.cz
- implemented passing symbols and terms to Perl
- 2.9.20
* Mon Mar 22 2004 - mvidner@suse.cz
- fixed testsuite on lib64 architectures
- 2.9.19
* Wed Mar 17 2004 - mvidner@suse.cz
- strip $self on the way from Perl to YCP,
  just as it is added in the reverse direction
- YaPI.inc -> YaPI.pm
- 2.9.18
* Wed Mar 17 2004 - mvidner@suse.cz
- YCP now calls all perl functions as class methods
  (so adding $self = shift; etc. is needed)
- added tests
- 2.9.17
* Fri Mar 12 2004 - mvidner@suse.cz
- added YaPI.inc
- 2.9.16
* Thu Mar 11 2004 - mvidner@suse.cz
- YPerlNamespace: some stuff is now in Y2Namespace, removed (#34207)
- parseTypeinfo: allow argument names after whitespace
- 2.9.15
* Tue Mar 09 2004 - mvidner@suse.cz
- disregard array context: a YCP list is always a reference to a Perl array
- added data type docs
- fixed explicit Byteblock if type known
- 2.9.14
* Mon Mar 01 2004 - mvidner@suse.cz
- added YaST::YCP::Byteblock
* Mon Mar 01 2004 - mvidner@suse.cz
- adapted to changes in yast2-core: Type::List
- 2.9.13
* Fri Feb 27 2004 - mvidner@suse.cz
- added sformat
- adapted to changes in yast2-core:
  Y2Namespace::initialize, SymbolEntryPtr, YFunctionPtr
- 2.9.12
* Wed Feb 25 2004 - mvidner@suse.cz
- added liby2util based logging
- use all libraries when starting from Perl (visnov)
- 2.9.11
* Mon Feb 23 2004 - mvidner@suse.cz
- Prepend $Y2DIR/modules and $moduledir to PERL5LIB for the embedded Perl
- 2.9.10
* Fri Feb 20 2004 - mvidner@suse.cz
- initialize imported namespaces (kkaempf)
- functions without TYPEINFO return "any" and do not produce warnings
- 2.9.8
* Sat Feb 14 2004 - kkaempf@suse.de
- drop timestamp in Y2Namespace
- 2.9.7
* Tue Feb 10 2004 - mvidner@suse.cz
- reduced logging to make yast2-inetd build
- 2.9.6
* Tue Feb 10 2004 - mvidner@suse.cz
- revert the preference of numbers
  now strings are used unless the wanted type is known
  or an explicit data class is used (Integer, Float, String added)
- 2.9.5
* Mon Feb 09 2004 - mvidner@suse.cz
- try harder to convert Perl data to integers/strings
  if the wanted YCP type is known
- prefer numbers to strings if the wanted YCP type is unknown
- enable passing maps/lists containing nil to Perl
- 2.9.4
* Fri Jan 30 2004 - mvidner@suse.cz
- don't consume Perl arrays when passing them to YCP
- 2.9.3
* Fri Jan 30 2004 - mvidner@suse.cz
- fixed parse errors and more
- enabled elementary tests
- 2.9.2
* Tue Jan 27 2004 - mvidner@suse.cz
- initial version for autobuild
- 2.9.1
